# AccessRule

open class AccessRule

Access rule associated to a classpath entry.

## Constructors

AccessRule
Link copied to clipboard
constructor(kind: String, pattern: String)

## Properties

kind
Link copied to clipboard
open var kind: String
pattern
Link copied to clipboard
open var pattern: String

## Functions

equals
Link copied to clipboard
open fun equals(o: Any): Boolean
hashCode
Link copied to clipboard
open fun hashCode(): Int
toString
Link copied to clipboard
open fun toString(): String